{
    attributes = (
        {
            allowsNull = Y; 
            definition = "to_char('')"; 
            externalType = VARCHAR2; 
            name = combien; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MEC_KEY; 
            externalType = NUMBER; 
            name = mecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MREC_BONIFIABLE; 
            externalType = NUMBER; 
            name = mrecBonifiable; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MREC_COEFFICIENT; 
            externalType = NUMBER; 
            name = mrecCoefficient; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MREC_COMPTABILISABLE; 
            externalType = NUMBER; 
            name = mrecComptabilisable; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MREC_KEY; 
            externalType = NUMBER; 
            name = mrecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MREC_NIVEAU; 
            externalType = VARCHAR2; 
            name = mrecNiveau; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = MREC_NOTE_BASE; 
            externalType = NUMBER; 
            name = mrecNoteBase; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = MREC_NOTE_ELIMINATION; 
            externalType = NUMBER; 
            name = mrecNoteElimination; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MREC_NOTE_OBTENTION; 
            externalType = NUMBER; 
            name = mrecNoteObtention; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = MREC_ORDRE; 
            externalType = NUMBER; 
            name = mrecOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MTEC_CODE; 
            externalType = VARCHAR2; 
            name = mtecCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = MUE_KEY; 
            externalType = NUMBER; 
            name = mueKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mrecKey); 
    className = EOGenericRecord; 
    classProperties = (
        mrecKey, 
        mueKey, 
        mecKey, 
        mrecOrdre, 
        mtecCode, 
        mrecNiveau, 
        mrecComptabilisable, 
        mrecBonifiable, 
        mrecCoefficient, 
        mrecNoteBase, 
        mrecNoteObtention, 
        mrecNoteElimination, 
        fannKey, 
        toScolFormationAnnee, 
        toScolMaquetteEc, 
        toScolMaquetteUe, 
        toScolMaquetteTypeEc, 
        combien, 
        toScolMaquetteReportEc
    ); 
    externalName = SCOL_MAQUETTE_REPARTITION_EC; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteRepartitionEcReport; 
    primaryKeyAttributes = (mrecKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolMaquetteEc; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mecKey; sourceAttribute = mecKey; }); 
            name = toScolMaquetteEc; 
        }, 
        {
            destination = ScolMaquetteReportEc; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = keyNew; sourceAttribute = mrecKey; }); 
            name = toScolMaquetteReportEc; 
        }, 
        {
            destination = ScolMaquetteTypeEc; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mtecCode; sourceAttribute = mtecCode; }); 
            name = toScolMaquetteTypeEc; 
        }, 
        {
            destination = ScolMaquetteUe; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mueKey; sourceAttribute = mueKey; }); 
            name = toScolMaquetteUe; 
        }
    ); 
}
